Collect Google AI Mode Search by URL
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"url": "<string>",
"prompt": "<string>",
"country": "<string>"
}
]
}
'import requests
url = "https://api.brightdata.com/datasets/v3/scrape"
payload = { "input": [
{
"url": "<string>",
"prompt": "<string>",
"country": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: [{url: '<string>', prompt: '<string>', country: '<string>'}]})
};
fetch('https://api.brightdata.com/datasets/v3/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"prompt": "how to train for a marathon",
"answer": "A typical marathon training plan runs 16 to 20 weeks...",
"citations": [
{
"title": "Marathon Training Plan for Beginners",
"url": "https://example.com/marathon-plan"
}
],
"url": "https://www.google.com/search?udm=50&q=how+to+train+for+a+marathon"
}
]
Google
Collect Google AI Mode Search by URL
Use the Bright Data Web Scraper API to collect Google AI Mode search answers and citations by URL. POST /datasets/v3/scrape returns records as JSON.
POST
/
datasets
/
v3
/
scrape
Collect Google AI Mode Search by URL
Query Parameters
string
default:"gd_mcswdt6z2elth3zqr2"
required
The dataset ID used for this request.
Must be set to
gd_mcswdt6z2elth3zqr2 to collect Google AI Mode Search by URL.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
An array of input objects.
Show properties
Show properties
Example
{
"input": [
{
"url": "https://www.google.com/search?udm=50&q=how+to+train+for+a+marathon",
"prompt": "how to train for a marathon",
"country": "US"
}
]
}
[
{
"prompt": "how to train for a marathon",
"answer": "A typical marathon training plan runs 16 to 20 weeks...",
"citations": [
{
"title": "Marathon Training Plan for Beginners",
"url": "https://example.com/marathon-plan"
}
],
"url": "https://www.google.com/search?udm=50&q=how+to+train+for+a+marathon"
}
]
Was this page helpful?
⌘I